GIT-RELEASE(1)

NAME
git-release - Commit, tag and push changes to the repository

SYNOPSIS
git-release <tagname> [-r <remote>] [-m <commit info%gt;] [-c]

DESCRIPTION
Commits changes with message "Release <tagname>" or custom commit infomation, tags with the given <tagname> and pushes the branch / tags. Optionally it generates a changelog (see git-changelog) and a remote can be defined. The order of first -c or -r does not matter.

OPTIONS
<tagname>

The name of the newly created tag. Also used in tag comment.

-r <remote>

The "remote" repository that is destination of a push operation: it is passed to git push.

-m <commit info>

use the custom commit infomation instead of the default message "Release <tagname>" .

-c

Generates or populates the changelog with all commit message since the last tag. For more info see git-changelog..

EXAMPLES

•   Release commit with the given <tagname>.

    $ git release 0.1.0

•   Release commit with the given <tagname> and custom commit message.

    $ git release 0.1.0 -m "+ powerful feature added."

•   Release commit with the given <tagname> and push to specific remote.

    $ git release 0.1.0 -r github

•   Release commit with the given <tagname> and populate changelog.

    $ git release 0.1.0 -c

•   Release commit with the given <tagname>, populate changelog, and push to specific remote.

    $ git release 0.1.0 -r github -c

AUTHOR
Written by Tj Holowaychuk <tj@vision-media.ca> Extended by David Hartmann <dh@tsl.io>

REPORTING BUGS
<https://github.com/tj/git-extras/issues>

SEE ALSO
<https://github.com/tj/git-extras>